"Deploy a Next.js site" tutorial leads to version issues and Error 1101

Hello there :wave:

This is my first time here, and with Cloudflare in general, so sorry for any inconvenience.

I was following the Deploy a Next.js site (https://developers.cloudflare.com/pages/framework-guides/deploy-a-nextjs-site/) tutorial, but have been grappling with some nuisances.

First, using the current Node LTS version (18) breaks the deployment, as another thread has already pointed out. However, the tutorial does not specify any helpful information on which node versions are supported.

Second, the command npx create-next-app my-app installs Next.js 13 by default, which causes deployment to fail, given Next.js 13 isn’t supported yet. Same thing here, docs aren’t proactive in letting me know that I should use Next.js 12.

Those were annoying to have to figure out through failed deployments, but I was able to overcome them without much trouble.

However, after finally getting a green deployment, for some reason I yet don’t know, I’m getting Error 1101 when visiting the preview and deployment versions.

I’ve seen mentions that these are Workers issues, but when I visit the workers dashboard I don’t see any worker. This means I can’t debug it, thus I have no clue about what’s going on, and the frustration levels are through the roof with CloufFlare right now, as this is my first experience with the service.

Can someone here shed some light on what’s going on, or how can I find more info about the issue?

Thanks in advance.

Hi, I am facing the exact same set of issues. Please put a update here if you find any work around.

Hi, again. The docs and tutorials are missing few steps. check the official repo for additional steps like adding a dev dependency and few production flags. Doing that worked for me.

[type or paste code here](https://github.com/cloudflare/next-on-pages)
1 Like

Thanks @2Hari! It seemed to be just the missing flags indeed.